"use strict";
cc._RF.push(module, 'd3f9bZXK+RDHr5glRPBTR6D', 'choose_cake_Cake');
// choose_cake/prefabs/choose_cake_Cake.js

"use strict";

// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html
cc.Class({
  "extends": cc.Component,
  properties: {
    word: ''
  },
  // LIFE-CYCLE CALLBACKS:
  // onLoad () {},
  start: function start() {
    this.updateWord();
  },
  setWord: function setWord(str) {
    this.word = str;
    this.updateWord();
  },
  updateWord: function updateWord() {
    this.node.getChildByName('Label').getComponent(cc.Label).string = this.word;
  } // update (dt) {},

});

cc._RF.pop();